# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KURL::List Class Reference

KURL::List is a QValueList that contains KURLs with a few convenience methods. More...

`#include <kurl.h>`

Inheritance diagram for KURL::List:

[legend]
Collaboration diagram for KURL::List:

[legend]
List of all members.

## Public Member Functions

| List ()
| List (const KURL &url)
| List (const QStringList &list)
QStringList | toStringList () const

## Detailed Description

KURL::List is a QValueList that contains KURLs with a few convenience methods.

See also:
  KURL

  QValueList

Definition at line 169 of file kurl.h.

## Constructor & Destructor Documentation

KURL::List::List | ( |  | ) | `[inline]`

| Creates an empty List. Definition at line 175 of file kurl.h.

KURL::List::List | ( | const KURL & | url | ) |

Creates a list that contains the given URL as only item.

Parameters:

  | url | the url to add.

Definition at line 419 of file kurl.cpp.

References QValueList< KURL >::append().

KURL::List::List | ( | const QStringList & | list | ) |

Creates a list that contains the URLs from the given list.

Parameters:

  | list | the list containing the URLs as strings

Definition at line 424 of file kurl.cpp.

References QValueList< KURL >::append(), and KURL::KURL().

## Member Function Documentation

QStringList KURL::List::toStringList | ( |  | ) | const

Converts the URLs of this list to a list of strings.

Returns:
  the list of strings

Definition at line 434 of file kurl.cpp.

References QValueList< KURL >::begin(), and QValueList< KURL >::end().

The documentation for this class was generated from the following files:

- kurl.h
- kurl.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:11 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003